# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'offline_deployer/version'

Gem::Specification.new do |spec|
  spec.name          = 'offline_deployer'
  spec.version       = OfflineDeployer::VERSION
  spec.authors       = ['Vladimir Rosancic']
  spec.email         = ['vladimir.rosancic@infinum.hr']

  spec.summary       = 'A gem for building releases using a git diff between 2 tags or commits'
  spec.homepage      = 'https://github.com/infinum/offline_deployer'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rails'
  spec.add_development_dependency 'rspec'
end
